Opl(3)

NAME
Opl - A namespace to collect constants and enums used throughout the application.

SYNOPSIS

  Namespaces
Db

  Classes
class ANotificationHandler
The ANotificationHandler class handles displaying of user-directed messages. It displays information to the user and forwards the displayed message to ALog so it is written to the console and log files. The INFO, WARN and CRIT makros provide convenient access.

  Enumerations
enum Translations { English, German, Spanish }

Detailed Description

A namespace to collect constants and enums used throughout the application. The opl namespace collects enums and constants that are used throughout the application and provide uniform access.

The date, time and datetime namespaces include enums used to differentiate date and time formats for QDate, QTime and QDateTime that deviate from standard values included in the Qt Framework like Qt::ISODate and are to be used in conjunction with the .toString() members of these classes.

The db namespace contains constants for programatically accessing the database in a fast and uniform manner.

Author

Generated automatically by Doxygen for openPilotLog from the source code.